#' Convert a string to a compatible file name
#'
#' It removes accents and converts spaces and other special characters to an underscore.
#'
#' @param name [character] string to convert
#'
#' @return The converted [character] string.
#' @export
#'
#' @examples
#' iconv_filename("We don't like (wéïrd) àcçênts. And other things")
iconv_filename <- function(name) {
    iconv(gsub("_+", "_",
               gsub(" |:|\\.|'|\\/|<|>|e0|e9|e8|e7|e6", "_", enc2utf8(name))),
          from = "UTF-8", to = "ASCII//TRANSLIT")
}
